Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.designer.cs	(revision 51)
@@ -38,27 +38,27 @@
             this.label1 = new System.Windows.Forms.Label();
             this.btnDataDelete = new System.Windows.Forms.Button();
             this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
-            this.txtInput08 = new System.Windows.Forms.TextBox();
+            this.lblSuppliersCodelabel = new System.Windows.Forms.Label();
+            this.lblSuppliersCode = new System.Windows.Forms.Label();
+            this.label2 = new System.Windows.Forms.Label();
+            this.txtInput01 = new System.Windows.Forms.TextBox();
+            this.txtInput02 = new System.Windows.Forms.TextBox();
             this.label5 = new System.Windows.Forms.Label();
             this.txtInput03 = new System.Windows.Forms.TextBox();
             this.btnSerchZip = new System.Windows.Forms.Button();
             this.label6 = new System.Windows.Forms.Label();
+            this.label3 = new System.Windows.Forms.Label();
+            this.label4 = new System.Windows.Forms.Label();
+            this.label10 = new System.Windows.Forms.Label();
+            this.txtInput04 = new System.Windows.Forms.TextBox();
+            this.txtInput05 = new System.Windows.Forms.TextBox();
+            this.txtInput09 = new System.Windows.Forms.TextBox();
             this.label8 = new System.Windows.Forms.Label();
-            this.txtInput09 = new System.Windows.Forms.TextBox();
             this.txtInput06 = new System.Windows.Forms.TextBox();
             this.label9 = new System.Windows.Forms.Label();
             this.txtInput07 = new System.Windows.Forms.TextBox();
             this.label7 = new System.Windows.Forms.Label();
-            this.txtInput04 = new System.Windows.Forms.TextBox();
-            this.txtInput05 = new System.Windows.Forms.TextBox();
-            this.label3 = new System.Windows.Forms.Label();
-            this.label4 = new System.Windows.Forms.Label();
-            this.label10 = new System.Windows.Forms.Label();
-            this.label2 = new System.Windows.Forms.Label();
-            this.txtInput01 = new System.Windows.Forms.TextBox();
-            this.txtInput02 = new System.Windows.Forms.TextBox();
-            this.lblSuppliersCodelabel = new System.Windows.Forms.Label();
-            this.lblSuppliersCode = new System.Windows.Forms.Label();
+            this.txtInput08 = new System.Windows.Forms.TextBox();
             this.lblEditMode = new System.Windows.Forms.Label();
             this.btnDataSelect = new System.Windows.Forms.Button();
             this.btnDataLineEntry = new System.Windows.Forms.Button();
@@ -122,7 +122,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 11;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             this.btnDataDelete.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmSuppliers_KeyDown);
@@ -170,18 +170,68 @@
             this.tableLayoutPanel1.Size = new System.Drawing.Size(610, 350);
             this.tableLayoutPanel1.TabIndex = 0;
             // 
-            // txtInput08
+            // lblSuppliersCodelabel
             // 
-            this.tableLayoutPanel1.SetColumnSpan(this.txtInput08, 2);
-            this.txtInput08.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtInput08.Location = new System.Drawing.Point(153, 273);
-            this.txtInput08.MaxLength = 300;
-            this.txtInput08.Multiline = true;
-            this.txtInput08.Name = "txtInput08";
-            this.txtInput08.Size = new System.Drawing.Size(430, 74);
-            this.txtInput08.TabIndex = 9;
-            this.txtInput08.TextChanged += new System.EventHandler(this.valueChange);
+            this.lblSuppliersCodelabel.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.lblSuppliersCodelabel.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.lblSuppliersCodelabel.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblSuppliersCodelabel.ForeColor = System.Drawing.Color.Black;
+            this.lblSuppliersCodelabel.Location = new System.Drawing.Point(3, 2);
+            this.lblSuppliersCodelabel.Name = "lblSuppliersCodelabel";
+            this.lblSuppliersCodelabel.Size = new System.Drawing.Size(144, 25);
+            this.lblSuppliersCodelabel.TabIndex = 23;
+            this.lblSuppliersCodelabel.Text = "購入先コード";
+            this.lblSuppliersCodelabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // lblSuppliersCode
+            // 
+            this.lblSuppliersCode.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.lblSuppliersCode.BackColor = System.Drawing.Color.White;
+            this.lblSuppliersCode.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblSuppliersCode.ForeColor = System.Drawing.Color.Black;
+            this.lblSuppliersCode.Location = new System.Drawing.Point(153, 3);
+            this.lblSuppliersCode.Name = "lblSuppliersCode";
+            this.lblSuppliersCode.Size = new System.Drawing.Size(84, 23);
+            this.lblSuppliersCode.TabIndex = 24;
+            this.lblSuppliersCode.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // label2
+            // 
+            this.label2.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.label2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label2.ForeColor = System.Drawing.Color.Black;
+            this.label2.Location = new System.Drawing.Point(3, 32);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(144, 25);
+            this.label2.TabIndex = 30;
+            this.label2.Text = "購入先名称";
+            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // txtInput01
+            // 
+            this.txtInput01.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.tableLayoutPanel1.SetColumnSpan(this.txtInput01, 2);
+            this.txtInput01.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtInput01.Location = new System.Drawing.Point(153, 33);
+            this.txtInput01.MaxLength = 60;
+            this.txtInput01.Name = "txtInput01";
+            this.txtInput01.Size = new System.Drawing.Size(430, 23);
+            this.txtInput01.TabIndex = 1;
+            this.txtInput01.TextChanged += new System.EventHandler(this.valueChange);
+            // 
+            // txtInput02
+            // 
+            this.txtInput02.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.tableLayoutPanel1.SetColumnSpan(this.txtInput02, 2);
+            this.txtInput02.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtInput02.Location = new System.Drawing.Point(153, 63);
+            this.txtInput02.MaxLength = 60;
+            this.txtInput02.Name = "txtInput02";
+            this.txtInput02.Size = new System.Drawing.Size(430, 23);
+            this.txtInput02.TabIndex = 2;
+            this.txtInput02.TextChanged += new System.EventHandler(this.valueChange);
+            // 
             // label5
             // 
             this.label5.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -231,6 +281,78 @@
             this.label6.Text = "住　　所";
             this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
+            // label3
+            // 
+            this.label3.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.label3.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label3.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label3.ForeColor = System.Drawing.Color.Black;
+            this.label3.Location = new System.Drawing.Point(153, 122);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(84, 25);
+            this.label3.TabIndex = 37;
+            this.label3.Text = "都道府県";
+            this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label4
+            // 
+            this.label4.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.label4.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label4.ForeColor = System.Drawing.Color.Black;
+            this.label4.Location = new System.Drawing.Point(153, 152);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(84, 25);
+            this.label4.TabIndex = 37;
+            this.label4.Text = "市区町村";
+            this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label10
+            // 
+            this.label10.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.label10.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label10.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label10.ForeColor = System.Drawing.Color.Black;
+            this.label10.Location = new System.Drawing.Point(153, 182);
+            this.label10.Name = "label10";
+            this.label10.Size = new System.Drawing.Size(84, 25);
+            this.label10.TabIndex = 37;
+            this.label10.Text = "町・番地";
+            this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // txtInput04
+            // 
+            this.txtInput04.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.txtInput04.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtInput04.Location = new System.Drawing.Point(243, 123);
+            this.txtInput04.MaxLength = 60;
+            this.txtInput04.Name = "txtInput04";
+            this.txtInput04.Size = new System.Drawing.Size(340, 23);
+            this.txtInput04.TabIndex = 4;
+            this.txtInput04.TextChanged += new System.EventHandler(this.valueChange);
+            // 
+            // txtInput05
+            // 
+            this.txtInput05.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.txtInput05.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtInput05.Location = new System.Drawing.Point(243, 153);
+            this.txtInput05.MaxLength = 60;
+            this.txtInput05.Name = "txtInput05";
+            this.txtInput05.Size = new System.Drawing.Size(340, 23);
+            this.txtInput05.TabIndex = 5;
+            this.txtInput05.TextChanged += new System.EventHandler(this.valueChange);
+            // 
+            // txtInput09
+            // 
+            this.txtInput09.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.txtInput09.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtInput09.Location = new System.Drawing.Point(243, 183);
+            this.txtInput09.MaxLength = 60;
+            this.txtInput09.Name = "txtInput09";
+            this.txtInput09.Size = new System.Drawing.Size(340, 23);
+            this.txtInput09.TabIndex = 6;
+            this.txtInput09.TextChanged += new System.EventHandler(this.valueChange);
+            // 
             // label8
             // 
             this.label8.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -244,17 +366,6 @@
             this.label8.Text = "電話番号";
             this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // txtInput09
-            // 
-            this.txtInput09.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.txtInput09.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtInput09.Location = new System.Drawing.Point(243, 183);
-            this.txtInput09.MaxLength = 60;
-            this.txtInput09.Name = "txtInput09";
-            this.txtInput09.Size = new System.Drawing.Size(340, 23);
-            this.txtInput09.TabIndex = 6;
-            this.txtInput09.TextChanged += new System.EventHandler(this.valueChange);
-            // 
             // txtInput06
             // 
             this.txtInput06.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -304,129 +415,18 @@
             this.label7.Text = "備　　考";
             this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // txtInput04
+            // txtInput08
             // 
-            this.txtInput04.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.txtInput04.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtInput04.Location = new System.Drawing.Point(243, 123);
-            this.txtInput04.MaxLength = 60;
-            this.txtInput04.Name = "txtInput04";
-            this.txtInput04.Size = new System.Drawing.Size(340, 23);
-            this.txtInput04.TabIndex = 4;
-            this.txtInput04.TextChanged += new System.EventHandler(this.valueChange);
+            this.tableLayoutPanel1.SetColumnSpan(this.txtInput08, 2);
+            this.txtInput08.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtInput08.Location = new System.Drawing.Point(153, 273);
+            this.txtInput08.MaxLength = 300;
+            this.txtInput08.Multiline = true;
+            this.txtInput08.Name = "txtInput08";
+            this.txtInput08.Size = new System.Drawing.Size(430, 74);
+            this.txtInput08.TabIndex = 9;
+            this.txtInput08.TextChanged += new System.EventHandler(this.valueChange);
             // 
-            // txtInput05
-            // 
-            this.txtInput05.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.txtInput05.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtInput05.Location = new System.Drawing.Point(243, 153);
-            this.txtInput05.MaxLength = 60;
-            this.txtInput05.Name = "txtInput05";
-            this.txtInput05.Size = new System.Drawing.Size(340, 23);
-            this.txtInput05.TabIndex = 5;
-            this.txtInput05.TextChanged += new System.EventHandler(this.valueChange);
-            // 
-            // label3
-            // 
-            this.label3.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.label3.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
-            this.label3.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label3.ForeColor = System.Drawing.Color.Black;
-            this.label3.Location = new System.Drawing.Point(153, 122);
-            this.label3.Name = "label3";
-            this.label3.Size = new System.Drawing.Size(84, 25);
-            this.label3.TabIndex = 37;
-            this.label3.Text = "都道府県";
-            this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // label4
-            // 
-            this.label4.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.label4.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
-            this.label4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label4.ForeColor = System.Drawing.Color.Black;
-            this.label4.Location = new System.Drawing.Point(153, 152);
-            this.label4.Name = "label4";
-            this.label4.Size = new System.Drawing.Size(84, 25);
-            this.label4.TabIndex = 37;
-            this.label4.Text = "市区町村";
-            this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // label10
-            // 
-            this.label10.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.label10.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
-            this.label10.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label10.ForeColor = System.Drawing.Color.Black;
-            this.label10.Location = new System.Drawing.Point(153, 182);
-            this.label10.Name = "label10";
-            this.label10.Size = new System.Drawing.Size(84, 25);
-            this.label10.TabIndex = 37;
-            this.label10.Text = "町・番地";
-            this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // label2
-            // 
-            this.label2.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.label2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
-            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label2.ForeColor = System.Drawing.Color.Black;
-            this.label2.Location = new System.Drawing.Point(3, 32);
-            this.label2.Name = "label2";
-            this.label2.Size = new System.Drawing.Size(144, 25);
-            this.label2.TabIndex = 30;
-            this.label2.Text = "購入先名称";
-            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // txtInput01
-            // 
-            this.txtInput01.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.tableLayoutPanel1.SetColumnSpan(this.txtInput01, 2);
-            this.txtInput01.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtInput01.Location = new System.Drawing.Point(153, 33);
-            this.txtInput01.MaxLength = 60;
-            this.txtInput01.Name = "txtInput01";
-            this.txtInput01.Size = new System.Drawing.Size(430, 23);
-            this.txtInput01.TabIndex = 1;
-            this.txtInput01.TextChanged += new System.EventHandler(this.valueChange);
-            // 
-            // txtInput02
-            // 
-            this.txtInput02.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.tableLayoutPanel1.SetColumnSpan(this.txtInput02, 2);
-            this.txtInput02.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtInput02.Location = new System.Drawing.Point(153, 63);
-            this.txtInput02.MaxLength = 60;
-            this.txtInput02.Name = "txtInput02";
-            this.txtInput02.Size = new System.Drawing.Size(430, 23);
-            this.txtInput02.TabIndex = 2;
-            this.txtInput02.TextChanged += new System.EventHandler(this.valueChange);
-            // 
-            // lblSuppliersCodelabel
-            // 
-            this.lblSuppliersCodelabel.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.lblSuppliersCodelabel.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
-            this.lblSuppliersCodelabel.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblSuppliersCodelabel.ForeColor = System.Drawing.Color.Black;
-            this.lblSuppliersCodelabel.Location = new System.Drawing.Point(3, 2);
-            this.lblSuppliersCodelabel.Name = "lblSuppliersCodelabel";
-            this.lblSuppliersCodelabel.Size = new System.Drawing.Size(144, 25);
-            this.lblSuppliersCodelabel.TabIndex = 23;
-            this.lblSuppliersCodelabel.Text = "購入先コード";
-            this.lblSuppliersCodelabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            // 
-            // lblSuppliersCode
-            // 
-            this.lblSuppliersCode.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.lblSuppliersCode.BackColor = System.Drawing.Color.White;
-            this.lblSuppliersCode.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblSuppliersCode.ForeColor = System.Drawing.Color.Black;
-            this.lblSuppliersCode.Location = new System.Drawing.Point(153, 3);
-            this.lblSuppliersCode.Name = "lblSuppliersCode";
-            this.lblSuppliersCode.Size = new System.Drawing.Size(84, 23);
-            this.lblSuppliersCode.TabIndex = 24;
-            this.lblSuppliersCode.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
-            // 
             // lblEditMode
             // 
             this.lblEditMode.BackColor = System.Drawing.Color.White;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/System/FrmSystem.cs	(revision 51)
@@ -81,6 +81,7 @@
             ConstructionNoBase0,
             ConstructionNoBase1,
             ConsumptionTax,
+            CooperationRate,
             FilePath1,
             SloganString1,
             SloganString2,
@@ -106,11 +107,17 @@
         /// <summary>
         /// 表示コントロール配列
         /// </summary>
-        private Control[] m_dispControl = new Control[22];
+        private Control[] m_dispControl = new Control[23];
         /// <summary>
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
         #endregion
 
         #region プロパティ
@@ -122,6 +129,16 @@
             set { m_SystemCode = value; }
             get { return m_SystemCode; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
         #endregion
 
         #region コンストラクタ
@@ -187,13 +204,20 @@
         /// <param name="e"></param>
         private void FrmSystem_Load(object sender, EventArgs e)
         {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
             // オブジェクトハンドル取得
             SetDisplayObject();
 
             // 初期表示
             InitDataLoad();
-            // フォームサイズ固定
-            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 参照時は変更しない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
         }
         #endregion
 
@@ -238,6 +262,8 @@
                 // データ登録
                 if (!SystemMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("会社情報データ");
+
                 // 終了
                 btnEnd_Click(sender, e);
 
@@ -278,6 +304,8 @@
                 }
                 m_bChengeAns = false;
 
+                CommonMotions.RemoveEndMessage("会社情報データ");
+
                 // 終了
                 btnEnd_Click(sender, e);
             }
@@ -558,6 +586,7 @@
             m_dispControl[(int)Dispcount.ConstructionNoBase1] = radioButton2;
 
             m_dispControl[(int)Dispcount.ConsumptionTax] = txtInput13;
+            m_dispControl[(int)Dispcount.CooperationRate] = txtCoopRate;
             m_dispControl[(int)Dispcount.FilePath1] = txtInput14;
             m_dispControl[(int)Dispcount.SloganString1] = txtInput18;
             m_dispControl[(int)Dispcount.SloganString2] = txtInput19;
@@ -610,6 +639,7 @@
                     radioButton2.Checked = true;
 
                 m_dispControl[(int)Dispcount.ConsumptionTax].Text = string.Format("{0:f2}", wrklist.ConsumptionTax);                 // 消費税
+                m_dispControl[(int)Dispcount.CooperationRate].Text = string.Format("{0:f2}", wrklist.CooperationRate);
 
                 m_dispControl[(int)Dispcount.SloganString1].Text = wrklist.SloganString1;                             // 標語
                 m_dispControl[(int)Dispcount.SloganString2].Text = wrklist.SloganString2;                             // 標語
@@ -754,6 +784,10 @@
                 if (m_dispControl[(int)Dispcount.ConsumptionTax].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)Dispcount.ConsumptionTax], true);
 
+                // 協力金比率
+                if (m_dispControl[(int)Dispcount.CooperationRate].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)Dispcount.CooperationRate], true);
+
                 // Excel保存パス
                 if (m_dispControl[(int)Dispcount.FilePath1].Text.Length != 0) iLength++;
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.FilePath1], s_FilePathLength);
@@ -871,6 +905,10 @@
                 if (m_dispControl[(int)Dispcount.ConsumptionTax].Text.Length != 0)
                     work.ConsumptionTax = CommonMotions.cnvDouble(m_dispControl[(int)Dispcount.ConsumptionTax].Text.Replace(",", ""));
 
+                // 協力金比率
+                if (m_dispControl[(int)Dispcount.CooperationRate].Text.Length != 0)
+                    work.CooperationRate = CommonMotions.cnvDouble(m_dispControl[(int)Dispcount.CooperationRate].Text.Replace(",", ""));
+
                 // Excel保存パス
                 if (m_dispControl[(int)Dispcount.FilePath1].Text.Length != 0)
                     work.ExcelSavePath = m_dispControl[(int)Dispcount.FilePath1].Text;
@@ -940,5 +978,26 @@
 
         #endregion
 
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                for (int i = 0; i < m_dispControl.Length; i++)
+                {
+                    m_dispControl[i].Enabled = false;
+                }
+                btnDataEntry.Visible = false;
+                btnFilePath.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
